%define snapshot r1172362
%define srcname networkmanager-0.7

Name:           kde-solid-networkmanager
Summary:        KDE Solid back-end for NetworkManager 0.7
Version:        4.5
Release:        %mkrel 0.%{snapshot}.1
Group:          System/Configuration/Networking
License:        GPLv2+
URL:            http://www.kde.org
#svn co svn://anonsvn.kde.org/home/kde/branches/KDE/trunk/kdebase/workspace/solid/networkmanager-0.7
Source0:        %{srcname}.%{snapshot}.tar.bz2
# Make it build stand-alone (by Adam Pigg)
Patch0:         kde-solid-networkmanager-cmake.patch
BuildRequires:  libnm-util-devel
BuildRequires:  kdebase4-workspace-devel
Requires:       networkmanager
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This Solid module provides support for NetworkManager 0.7.

%prep
%setup -q -n %{srcname}
%patch0 -p0 -b .cmake

%build
%cmake_kde4
%make

%install
rm -rf %{buildroot}
%makeinstall_std -C build

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_kde_datadir}/kde4/services/solidbackends/solid_networkmanager07.desktop
%{_kde_iconsdir}/oxygen/*/apps/networkmanager.png
%{_kde_libdir}/kde4/solid_networkmanager07.so


%changelog
* Tue Sep 07 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 4.5-0.r1172362.1mdv2011.0
+ Revision: 576439
- update for KDE 4.6; fixes plasma/kded crash on startup

* Sat Jul 31 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 4.5-0.r1156561.1mdv2011.0
+ Revision: 563964
- update to KDE 4.5 branch

  + Frederik Himpe <fhimpe@mandriva.org>
    - Use KDE4 specific macros

* Tue Feb 02 2010 Frederik Himpe <fhimpe@mandriva.org> 4.4-0.r1084249.1mdv2010.1
+ Revision: 499811
- import kde-solid-networkmanager


